| ghc-6.10.4: The GHC API | Contents | Index

RegSpill

Synopsis

regSpill :: [LiveCmmTop] -> UniqSet Int -> UniqSet Reg -> UniqSM ([LiveCmmTop], UniqSet Int, SpillStats)

data SpillStats = SpillStats {

spillStoreLoad :: UniqFM (Reg, Int, Int)

}

accSpillSL

Documentation
regSpill

:: [LiveCmmTop] | the code
-> UniqSet Int | available stack slots
-> UniqSet Reg | the regs to spill
-> UniqSM ([LiveCmmTop], UniqSet Int, SpillStats) |
Spill all these virtual regs to memory TODO: see if we can split some of the live ranges instead of just globally spilling the virtual reg. TODO: On ciscy x86 and x86_64 we don't nessesarally have to add a mov instruction when making spills. If an instr is using a spilled virtual we may be able to address the spill slot directly.

data SpillStats

Constructors

SpillStats |

spillStoreLoad :: UniqFM (Reg, Int, Int) |

Instances

Outputable SpillStats

accSpillSL
Produced by Haddock version 2.4.2